OpenJPEG 2.3.0

Data Structures | Typedefs
bio.h File Reference

Implementation of an individual bit input-output (BIO) More...

`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | opj_bio
| Individual bit input-output stream (BIO) More...

## Typedefs
typedef struct opj_bio | opj_bio_t
| Individual bit input-output stream (BIO) More...

## Functions
Exported functions
opj_bio_t * | opj_bio_create (void)
| Create a new BIO handle More...
void | opj_bio_destroy (opj_bio_t *bio)
| Destroy a previously created BIO handle More...
ptrdiff_t | opj_bio_numbytes (opj_bio_t *bio)
| Number of bytes written. More...
void | opj_bio_init_enc (opj_bio_t *bio, OPJ_BYTE *bp, OPJ_UINT32 len)
| Init encoder More...
void | opj_bio_init_dec (opj_bio_t *bio, OPJ_BYTE *bp, OPJ_UINT32 len)
| Init decoder More...
void | opj_bio_write (opj_bio_t *bio, OPJ_UINT32 v, OPJ_UINT32 n)
| Write bits More...
OPJ_UINT32 | opj_bio_read (opj_bio_t *bio, OPJ_UINT32 n)
| Read bits More...
OPJ_BOOL | opj_bio_flush (opj_bio_t *bio)
| Flush bits More...
OPJ_BOOL | opj_bio_inalign (opj_bio_t *bio)
| Passes the ending bits (coming from flushing) More...

## Detailed Description

Implementation of an individual bit input-output (BIO)

The functions in BIO.C have for goal to realize an individual bit input - output.